Hi all,

This is a minor reliability update. We were investigating a possible OpenVPN regression and have therefore reverted an upstream patch. The results are currently inconclusive and we will be holding off on the newly released version 2.4 for OPNsense 17.1 for further testing.

Here are the full patch notes:

  • system: improve cancel button behaviour
  • system: change coupled /tmp+/var MFS to /var MFS
  • system: load AESNI in the default configuration
  • firmware: list all licenses of packages
  • firewall: improve cancel button behaviour
  • traffic shaper: don’t error on apply when no configuration is set
  • interfaces: don’t allow VLAN delete when in use
  • interfaces: improve cancel button behaviour
  • interfaces: only parse lease sections for ARP entries
  • interfaces: fix QinQ setup
  • services: improve cancel button behaviour
  • ipsec: add clone phase 2 option to ease duplication
  • openvpn: force rewrite of Viscosity client export files
  • dns resolver: remove unused EDNS support
  • dns forwarder: allow to run on non-standard port when resolver is running
  • lang: updates for Czech, German and Italian
  • plugins: os-haproxy 1.8 (contributed by Frank Wall)
  • plugins: compatibility fix for os-pptp, os-pppoe and os-l2tp
  • ports: openvpn[1] (reverted topology subnet fix)
  • ports: pkg (license viewer upstream fix)
  • ports: sudo 1.8.19p1[2]
  • ports: php 5.6.29[3]

Stay safe,
Your OPNsense team


[1] https://github.com/opnsense/core/issues/1314
[2] https://www.sudo.ws/stable.html#1.8.18p1
[3] http://php.net/ChangeLog-5.php#5.6.29

Het bericht OPNsense 16.7.12 released verscheen eerst op OPNsense, Your Next Open Source Firewall.


Source: OPNsense news